
Foreman - Tracker #15954

Drop Ruby 2.0 support

08/03/2016 06:07 AM - Tomer Brisker

Status: Closed % Done: 100%

Priority: Normal   

Assignee:    

Category: Packaging   

Target version: 1.16.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Description

Ruby 2.0 has reached EOL and some of our dependencies are starting to require ruby >= 2.1.

This is a tracker for all issues related to stop supporting 2.0 and gem pins that can be removed once it is dropped.

Related issues:

Related to Foreman - Bug #15953: fast_gettext 1.2.0 breaks test_develop Closed 08/03/2016

Related to Foreman - Bug #16083: gettext_i18n_rails requires Ruby version >= ... Closed 08/12/2016

Related to Foreman - Bug #17979: nokogiri 1.7 was released which requires rub... Closed 01/09/2017

Blocked by Foreman - Bug #19921: upgrade fast_gettext Closed 06/05/2017

Blocked by Foreman - Bug #19922: upgrade gettext_i18n_rails to 1.8 Closed 06/05/2017

Blocked by Foreman - Bug #19923: Unpin nokogiri gem Closed 06/05/2017

Associated revisions

Revision e3e22757 - 09/04/2017 03:18 PM - Michael Moll 

Refs #15954 - pin public_suffix for Ruby 2.0

History

#1 - 08/03/2016 06:07 AM - Tomer Brisker

- Related to Bug #15953: fast_gettext 1.2.0 breaks test_develop added

#2 - 08/03/2016 06:12 AM - Tomer Brisker

- Related to Bug #15712: rabl 0.13.0 breaks ruby 2.0 support added

#3 - 08/12/2016 03:18 AM - Dominic Cleal

- Related to Bug #16083: gettext_i18n_rails requires Ruby version >= 2.1.0 added

#4 - 01/09/2017 07:52 AM - Tomer Brisker

- Related to Bug #17979: nokogiri 1.7 was released which requires ruby >= 2.1 added

#5 - 01/16/2017 05:00 AM - Dominic Cleal

- Related to deleted (Bug #15712: rabl 0.13.0 breaks ruby 2.0 support)

#6 - 06/05/2017 09:25 AM - Tomer Brisker

- Blocked by Bug #19921: upgrade fast_gettext  added

#7 - 06/05/2017 09:30 AM - Tomer Brisker

- Blocked by Bug #19922: upgrade gettext_i18n_rails to 1.8 added

#8 - 06/05/2017 09:36 AM - Tomer Brisker

- Blocked by Bug #19923: Unpin nokogiri gem added

#9 - 08/31/2017 02:08 PM - Anonymous
- Status changed from New to Closed

- % Done changed from 0 to 100

- translation missing: en.field_release set to 240

I guess all is done here.

#10 - 03/11/2018 02:28 PM - The Foreman Bot

- Assignee set to Anonymous
